
export class UserExtraModel {
  public BSB: string;
  public ACC: string;
  public License: string;
  public Organization: string;
  public Login: string;
  public Role?: string;

  constructor(payload: Partial<UserExtraModel>) {
     Object.assign(this, payload);
  }

  public static EmptyNew(): UserExtraModel {
     const rt = new UserExtraModel({});
     rt.BSB = '';
     rt.ACC = '';
     rt.License = '';
     rt.Organization = '';
     rt.Login = '';
     rt.Role = '';
     return rt;
  }

  public Clear(): void {
    this.BSB = '';
    this.ACC = '';
    this.License = '';
    this.Organization = '';
    this.Login = '';
    this.Role = '';
  }

  public Copy(payload: Partial<UserExtraModel>): void {
    this.BSB = payload.BSB;
    this.ACC = payload.ACC;
    this.License = payload.License;
    this.Organization = payload.Organization;
    this.Login = payload.Login;
    this.Role = payload.Role;
  }
}

